'use strict';

exports.__esModule = true;
var createAppTemplate = function createAppTemplate(app) {
  var hadClassName = app.attributes.class;
  var quenchedClassName = (app.className + ' quenched').replace(/\bpre-quench\b/g, '');

  var html = app.outerHTML.replace(/<!--\s*<q>\s*-->[\s\S]*?<!--\s*<\/q>\s*-->/g, '').replace(/ q-binding=".*?\s+as\s+/g, ' q-binding="').replace(/ q-binding="(.*?)"(.*?)>[\s\S]*?<\//g, '$2>{{ $1 }}</');

  if (hadClassName) {
    html = html.replace(/(class=").*?"/, '$1' + quenchedClassName + '"');
  } else {
    html = html.replace(/(<.*?\s)/, '$1class="' + quenchedClassName + '"');
  }

  return html;
};

exports.default = createAppTemplate;
module.exports = exports['default'];